# -*- encoding: utf-8 -*-
# stub: vagrant-sshfs 1.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "vagrant-sshfs".freeze
  s.version = "1.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dusty Mabe".freeze]
  s.date = "2018-03-12"
  s.description = "\n    A Vagrant synced folder plugin that mounts folders via SSHFS. \n    This is the successor to Fabio Kreusch's implementation:\n    https://github.com/fabiokr/vagrant-sshfs".freeze
  s.email = ["dusty@dustymabe.com".freeze]
  s.files = [".gitignore".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.adoc".freeze, "RELEASE.txt".freeze, "Rakefile".freeze, "features/README.md".freeze, "features/sshfs_cwd_mount.feature".freeze, "features/step_definitions/sshfs_cwd_mount_steps.rb".freeze, "features/support/env.rb".freeze, "lib/vagrant-sshfs.rb".freeze, "lib/vagrant-sshfs/action_hostpath_fixup.rb".freeze, "lib/vagrant-sshfs/cap/guest/arch/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/debian/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/fedora/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/freebsd/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/freebsd/sshfs_forward_mount.rb".freeze, "lib/vagrant-sshfs/cap/guest/linux/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/linux/sshfs_forward_mount.rb".freeze, "lib/vagrant-sshfs/cap/guest/linux/sshfs_get_absolute_path.rb".freeze, "lib/vagrant-sshfs/cap/guest/redhat/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/guest/suse/sshfs_client.rb".freeze, "lib/vagrant-sshfs/cap/host/darwin/sshfs_reverse_mount.rb".freeze, "lib/vagrant-sshfs/cap/host/linux/sshfs_reverse_mount.rb".freeze, "lib/vagrant-sshfs/command.rb".freeze, "lib/vagrant-sshfs/errors.rb".freeze, "lib/vagrant-sshfs/plugin.rb".freeze, "lib/vagrant-sshfs/synced_folder.rb".freeze, "lib/vagrant-sshfs/synced_folder/sshfs_forward_mount.rb".freeze, "lib/vagrant-sshfs/synced_folder/sshfs_reverse_mount.rb".freeze, "lib/vagrant-sshfs/version.rb".freeze, "locales/synced_folder_sshfs.yml".freeze, "test/libvirt/README.txt".freeze, "test/libvirt/Vagrantfile".freeze, "test/misc/README.txt".freeze, "test/misc/Vagrantfile".freeze, "test/misc/dotests.sh".freeze, "test/virtualbox/README.txt".freeze, "test/virtualbox/Vagrantfile".freeze, "vagrant-sshfs.gemspec".freeze]
  s.homepage = "https://github.com/dustymabe/vagrant-sshfs".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.rubygems_version = "3.0.1".freeze
  s.summary = "A Vagrant synced folder plugin that mounts folders via SSHFS.  This is the successor to Fabio Kreusch's implementation: https://github.com/fabiokr/vagrant-sshfs".freeze
  s.test_files = ["features/README.md".freeze, "features/sshfs_cwd_mount.feature".freeze, "features/step_definitions/sshfs_cwd_mount_steps.rb".freeze, "features/support/env.rb".freeze, "test/libvirt/README.txt".freeze, "test/libvirt/Vagrantfile".freeze, "test/misc/README.txt".freeze, "test/misc/Vagrantfile".freeze, "test/misc/dotests.sh".freeze, "test/virtualbox/README.txt".freeze, "test/virtualbox/Vagrantfile".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_development_dependency(%q<aruba>.freeze, [">= 0"])
      s.add_development_dependency(%q<komenda>.freeze, [">= 0"])
    else
      s.add_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<cucumber>.freeze, [">= 0"])
      s.add_dependency(%q<aruba>.freeze, [">= 0"])
      s.add_dependency(%q<komenda>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<aruba>.freeze, [">= 0"])
    s.add_dependency(%q<komenda>.freeze, [">= 0"])
  end
end

